d3pipesモジュールphp7への対応

このトピックの投稿一覧へ

なし d3pipesモジュールphp7への対応

msg# 1.5
depth:
1
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2022/9/28 6:09 | 最終変更
タツ  管理人   投稿数: 2266
他に編集したモジュールと同様、XoopsXより最新のd3pipesモジュール(d3pipes-master)version0.70をダウンロードし、ローカル環境(サーバーxampp7.4.25、legacy-2.3を起用)でインストールし、エラーが出るかどうかのチェックをしました。以下の部分を編集することでエラーは今の所解消されています。ただし、実際の運用上の不具合については未確認です。

■1.PHP7へのバージョンアップによる書式変更(__construct部分)
xoops_trust_path/modules/d3pipes/class/gtickets.php
13行目
function XoopsGTicket()
変更↓
function __construct()

・xoops_trust_path/modules/d3pipes/joints/D3pipesBlockAbstract.class.php
17行目
function D3pipesBlockAbstract( $mydirname , $pipe_id , $option )
変更↓
function __construct( $mydirname , $pipe_id , $option )

■2.PHP7へのバージョンアップによる書式変更(create_functionの部分)
・xoops_trust_path/modules/d3pipes/include/admin_functions.php
36行目
uksort( $ret , create_function( '$a,$b' , 'return @$GLOBALS["joint_type_weights"][$a] > @$GLOBALS["joint_type_weights"][$b] ; ' ) ) ;
変更↓
uksort( $ret , function($a,$b) {return @$GLOBALS["joint_type_weights"][$a] > @$GLOBALS['joint_type_weights'][$b] ;} ) ;

■3.PHP7へのバージョンアップによる書式変更エラー
Warning [Xoops]: Smarty error: unable to read resource: "db:altsys_inc_mymenu.html" in file C:\xampp/htdocs/xoops_trust_path/libs/smarty/Smarty.class.php line 1108 (1)
Gnaviモジュールをインストールした際に同様のエラーが表示されていたので(原因は、モジュール管理メニューにaltsysを結合する際にaltsysのメニューが正しく取得できなかったことが原因のようです)、同様に
xoops_trust_path/modules/pico/admin/mymenuをそのまま
xoops_trust_path/modules/d3pipes/admin/mymenuに転用することで解消しました。
ただし、メニューが重複する部分があったので不要な部分をコメントアウトしました。

・xoops_trust_path/modules/d3pipes/admin/mymenu.php(Picoモジュール内のmymenu.phpを転用後編集) 
40行目~57行目までコメントアウト
/**
if ( file_exists( XOOPS_TRUST_PATH . '/libs/altsys/myblocksadmin.php' ) ) {

	$title = defined( '_MD_A_MYMENU_MYBLOCKSADMIN' ) ? _MD_A_MYMENU_MYBLOCKSADMIN : 'blocksadmin';

	$adminmenu[] = [ 'title' => $title, 'link' => 'admin/index.php?mode=admin&lib=altsys&page=myblocksadmin' ];
}

// Preferences
$config_handler =& xoops_gethandler( 'config' );
if ( count( $config_handler->getConfigs( new Criteria( 'conf_modid', $xoopsModule->mid() ) ) ) > 0 ) {
	$adminmenu[] = [
		'title' => _PREFERENCES,
		'link'  => XOOPS_URL . '/modules/legacy/admin/index.php?action=PreferenceEdit&confmod_id=' . $xoopsModule->mid()
	];
}
*/

■■4.インストール時の上書き禁止ファイル
以下のファイルが梱包されているが既にlegacy-2.3にて標準装備されているため上書きはしないようにすること
・xoops_trust_path/libs/smarty/plugins/function.d3comment.php

■5.その他PHP7での配列書式変更
変更対象ファイル
array()は殆どのファイルにて多数存在するので省略します
例)$name = array() 
変更↓
$name = [];

以上です。今の所、管理画面ではエラーは解消しています。最初にも記述しましたが、今の所エラーは解消されていますが、実際の運用をしていないので稼働可能かどうかも含め、変更などあれば追加編集したいと思います。
投票数:10 平均点:5.00

投稿ツリー

  条件検索へ


旅と気ままなフォーラム新着投稿

旅と気ままなフォーラムメニュー

欲しい商品が必ず見つかるメジャーなネットショップ

このサイト内の検索

オンライン状況

24 人のユーザが現在オンラインです。 (2 人のユーザが 旅と気ままなフォーラム を参照しています。)

登録ユーザ: 0
ゲスト: 24

もっと...

Facebook,RSSリンク表示


RSSicon 最新記事のRSS